DeepFellow API ReferenceVector store migration
Cancel the project's in-progress vector store embedding migration
Cancel the caller's project's migration before cutover, restoring its pre-migration state.
Allowed while the migration is actively re-embedding files, or has permanently failed. Once cutover has started, cancellation is rejected.
Authorization[Bearer <token>]
In: header
Header Parameters
OpenAI-Organization?[string | null]
Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.
OpenAI-Project?[string | null]
Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization
Response Body
curl -X POST "https://deepfellow-server-host/v1/migrate/cancel" \ -H "OpenAI-Organization: string" \ -H "OpenAI-Project: string"{
"project_id": "5eb7cf5a86d9755df3a6c593",
"status": "idle",
"error": "string",
"file_counts": {
"pending": 0,
"in_progress": 0,
"completed": 0,
"failed": 0,
"total": 0
},
"failed_files": [],
"stalled_files": []
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.